Bug 6724 - cal неверно форматирует строки при выводе
: cal неверно форматирует строки при выводе
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/util-linux)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-29 00:02 by
Modified: 2007-08-01 10:26 (History)


Attachments
Patch for cal.c (929 bytes, patch)
2005-05-14 22:40, Denis Kirienko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-29 00:02:55
cal неверно форматирует строки при выводе - не ставит в некоторых ситуациях
необходимые пробелы.
Steps to Reproduce:
1. Сегодня 28 апреля 2005 года
2. $ cal -m -3
Actual Results:  
     Марта 2005           Апреля 2005             Мая 2005      
Пн Вт Ср Чт Пт Сб Вс  Пн Вт Ср Чт Пт Сб Вс  Пн Вт Ср Чт Пт Сб Вс
    1  2  3  4  5  6               1  2  3                     1
 7  8  9 10 11 12 13   4  5  6  7  8  9 10   2  3  4  5  6  7  8
14 15 16 17 18 19 20  11 12 13 14 15 16 17   9 10 11 12 13 14 15
21 22 23 24 25 26 27  18 19 20 21 22 23 24  16 17 18 19 20 21 22
28 29 30 31           25 26 27 28 29 30  23 24 25 26 27 28 29
                                            30 31               

Строка 23-39 мая сдвинута на 3 позиции влево. Вероятно, это связано с
подсветкой
в календаре текущего дня.
------- Comment #1 From 2005-04-29 16:30:02 -------
Да, похоже именно из-за этого, если выводить в pipe, то всё в порядке.
------- Comment #2 From 2005-04-29 19:08:56 -------
А в какой локали, кстати говоря, это происходит?
------- Comment #3 From 2005-04-29 22:39:08 -------
Локаль: ru_RU.KOI8-R
И из под рута, в POSIX тоже воспроизводится.
------- Comment #4 From 2005-05-14 22:40:40 -------
Created an attachment (id=886) [details]
Patch for cal.c

Вот патч к cal.c, вроде бы исправляющий багу.
Сейчас еще напишу мэйнтейнеру util-linux, отправлю патч ему.
Кстати, на kernel.org лежит чуть более новая версия 2.12q (в Сизифе сейчас
2.12p).
------- Comment #5 From 2005-11-22 12:55:15 -------
(In reply to comment #4)
> Кстати, на kernel.org лежит чуть более новая версия 2.12q (в Сизифе сейчас 2.12p).

В сизифе уже 2.12q

Что-нибудь изменилось? Насколько я понял, бага уже не актуальна? Если да, то
закрывайте уже кто-нибудь ;-)

------- Comment #6 From 2006-08-31 23:26:44 -------
*** Bug 9942 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2006-12-08 18:59:50 -------
Этот же баг был исправлен в OpenSuSe буквально пару месяцев назад:
http://lists.opensuse.org/opensuse-commit/2006-10/msg00443.html Там патч опять
же вокруг ф-ции trim_trailing_spaces(), правда, немного другой и, как мне
кажется, более правильный что ли.
------- Comment #8 From 2006-12-08 23:55:48 -------
Патч в opensuse крив, но закономерен.
------- Comment #9 From 2006-12-08 23:56:20 -------
Fixed in 2.12r-alt3.